name: CI

on:
  push:
    branches: [ master ]
  pull_request:
    branches: [ master ]

  workflow_dispatch:

jobs:
  build:
    name: Build thesis PDFs
    runs-on: ubuntu-latest
    container: { image: 'aergus/latex' }

    steps:
      - name: Install nodejs
        run: apt-get update && apt-get install -y nodejs
      - uses: https://gitea.com/ScMi1/checkout@v1
      - name: Build the thesis
        run: latexmk thesis && latexmk abstract-cz && latexmk abstract-en
      - name: Upload artifacts
        uses: actions/upload-artifact@v3
        with:
          name: Thesis
          path: |
            *.pdf

  verify:
    name: Verify PDF/A
    runs-on: ubuntu-latest
    needs: build
    container: { image: 'ghcr.io/mff-cuni-cz/cuni-thesis-validator' }

    steps:
      - name: Install nodejs
        run: apt-get update && apt-get upgrade -y && apt-get install -y curl && curl -fsSL https://deb.nodesource.com/setup_16.x | bash - && apt-get install -y nodejs
      - name: Get PDFs
        uses: https://gitea.com/actions/download-artifact@v3
      - name: Run VeraPDF
        run: verify Thesis/*.pdf | tee /dev/stderr | grep -qE 'nonCompliant="0" failedJobs="0"'
